diff options
author | Paul Eggleton <paul.eggleton@linux.intel.com> | 2015-07-13 16:20:03 +0100 |
---|---|---|
committer | Richard Purdie <richard.purdie@linuxfoundation.org> | 2015-07-16 15:09:23 +0100 |
commit | ddc1df3e80b2c42a2bda7ddab8fd26c367290c99 (patch) | |
tree | 22f7986569484fb269059b66b9b0d6d0f834bd8a /meta/classes/autotools.bbclass | |
parent | 757be608a5538bc4f32d234f216d24d4caa6539b (diff) | |
download | poky-ddc1df3e80b2c42a2bda7ddab8fd26c367290c99.tar.gz |
Use die() or bbfatal_log() where the log should definitely be printed
Change calls to bbfatal() to either die() or bbfatal_log() where we know
we want the full log to be printed by the UI (calling bberror or bbfatal
would otherwise suppress it since the change to connect these functions
through to the UI.) bbfatal() is still fine to use where there is enough
context information in the message such that the log isn't needed.
(From OE-Core rev: 04ed9a19e1b08003329138b8ab83691d13c11fd9)
Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/classes/autotools.bbclass')
-rw-r--r-- | meta/classes/autotools.bbclass | 4 |
1 files changed, 2 insertions, 2 deletions
diff --git a/meta/classes/autotools.bbclass b/meta/classes/autotools.bbclass index 454dcb669f..6f514294c4 100644 --- a/meta/classes/autotools.bbclass +++ b/meta/classes/autotools.bbclass | |||
@@ -87,7 +87,7 @@ oe_runconf () { | |||
87 | if [ "$?" != "0" ]; then | 87 | if [ "$?" != "0" ]; then |
88 | echo "Configure failed. The contents of all config.log files follows to aid debugging" | 88 | echo "Configure failed. The contents of all config.log files follows to aid debugging" |
89 | find ${S} -ignore_readdir_race -name config.log -print -exec cat {} \; | 89 | find ${S} -ignore_readdir_race -name config.log -print -exec cat {} \; |
90 | bbfatal "oe_runconf failed" | 90 | die "oe_runconf failed" |
91 | fi | 91 | fi |
92 | set -e | 92 | set -e |
93 | else | 93 | else |
@@ -287,7 +287,7 @@ autotools_do_configure() { | |||
287 | intltoolize --copy --force --automake | 287 | intltoolize --copy --force --automake |
288 | fi | 288 | fi |
289 | bbnote Executing ACLOCAL=\"$ACLOCAL\" autoreconf --verbose --install --force ${EXTRA_AUTORECONF} $acpaths | 289 | bbnote Executing ACLOCAL=\"$ACLOCAL\" autoreconf --verbose --install --force ${EXTRA_AUTORECONF} $acpaths |
290 | ACLOCAL="$ACLOCAL" autoreconf -Wcross --verbose --install --force ${EXTRA_AUTORECONF} $acpaths || bbfatal "autoreconf execution failed." | 290 | ACLOCAL="$ACLOCAL" autoreconf -Wcross --verbose --install --force ${EXTRA_AUTORECONF} $acpaths || die "autoreconf execution failed." |
291 | cd $olddir | 291 | cd $olddir |
292 | fi | 292 | fi |
293 | if [ -e ${S}/configure ]; then | 293 | if [ -e ${S}/configure ]; then |